
# ITR2 Modding Community Repository

> Branch: `main`

- The `main` branch serves as the "template" branch for all extractions.
- Branches like `v0.12.0b/pc0-1` are shortened versions of their corresponding file names (e.g., `pakchunk0_s1-Windows.pak` for **beta v0.12.0**).
  - **Naming Convention:**
    - `pc` stands for `pakchunk`.
    - The number after the dash (e.g., `-1`) matches the `-sX` suffix from the original file name.
    - File extensions (`.pak`, `.utoc`) and the platform (e.g., Windows) are excluded for brevity.
- A `combined` branch is planned for manual merging of assets, provided none of the files overwrite one another.

---

## Important Notice for All Members

This repository is **exclusively for the Into the Radius 2 (ITR2) modding community**. All files, tools, and assets in this repository are intended for use within this community **only**. **No files** from this repository should be leaked or shared outside of this group. Doing so violates the terms of access and the trust of the modding community.

---

### Asset Export Information

The files in this repository have been extracted using **FModel** to provide reference material and assist in mod creation for **ITR2**.

- Branches are created directly from `main`, **not sequentially from previous branches**.
- **Verification Steps:**
  The extraction process involves combining `pak` and `utoc` files:
  - **Step 1:** Extract the `pak` file.
  - **Step 2:** Extract the `utoc` file on top of it.

---

### Strict Restrictions on UAsset and UBulk Files

- **Do not push `.uasset`, `.ubulk`, or similar files** to this repository under any circumstances.
- Uploading such files will result in the **immediate revocation of access** to this repository.
- Unauthorized distribution of assets will be **reported to the ITR2 developers**, which could result in further legal or community actions.

---

### Access to UAsset Files

If `.uasset` files are required for reference, approved members can request access to a **private MegaSync share** containing the dumped files.

- Contact a repository administrator for access.

---

### Modding Guidelines and Best Practices

1. Use this repository exclusively for **Into the Radius 2** modding.
2. Do not use these assets for other purposes or games.
3. Follow all ethical and legal guidelines in your mod development.

---

### Final Warning

We value the contributions of our modding community and the creativity it brings. However, maintaining the integrity of this repository is critical. Violating these terms will result in **immediate loss of access** and potential legal consequences.

---

This version integrates the new branch information, clarifies extraction details, and adheres to the community's rules. Let me know if further adjustments are needed!
